/* 
(C) OOMusou 2010 http://oomusou.cnblogs.com

Filename    : mux_assign.v
Simulator   : NC-Verilog 5.4 + Debussy 5.4 v9 + Quartus II 8.1
Description : mux by assign
Release     : Sep.22,2010 1.0
*/

module mux_assign (
  a_i,
  b_i,
  c_i,
  d_i,
  sel_i,
  q_o
);

input a_i;
input b_i;
input c_i;
input d_i;
input [1:0] sel_i;
output q_o;

assign q_o = (~sel_i[1] & ~sel_i[0] & a_i) | 
             (~sel_i[1] &  sel_i[0] & b_i) |
             ( sel_i[1] & ~sel_i[0] & c_i) |
             ( sel_i[1] &  sel_i[0] & d_i);

endmodule